Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
Class InteractiveShellRunner

Field Summary
`CommandsMultiCompletor` | `completor`
`Closure` | `prompt`
`ConsoleReader` | `reader`

Constructor Summary
`InteractiveShellRunner(Shell shell, Closure prompt)`

Method Summary
`String` | `readLine()`
`void` | `run()`
`void` | `setHistory(History history)`
`void` | `setHistoryFile(File file)`

Constructor Detail

### InteractiveShellRunner

    public InteractiveShellRunner(Shell shell, Closure prompt)

Method Detail

### readLine

    String readLine()

### run

    void run()

### setHistory

    void setHistory(History history)

### setHistoryFile

    void setHistoryFile(File file)